#
# spec file for package OpenOffice_org-templates-en (Version 3.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           OpenOffice_org-templates-en
License:        BSD 4-Clause; LGPL v2.1 or later
Group:          Productivity/Office/Suite
AutoReqProv:    on
Provides:       locale(OpenOffice_org:en)
Version:        3.0
Release:        2.1.moblin2
Summary:        English Templates for OpenOffice.org
Source0:        ooo-templates-en-US-2.0.4.tar.bz2
# http://extensions.services.openoffice.org/project/TemplatePack_II
Source1:        Sun_ODF_Template_Pack_en-US-non-layout.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A collection of english templates for OpenOffice.org.



%prep
%setup -c -q -b1
# update the Sun templates dir
sun_name=Sun_ODF_Template_Pack
sun_dir=${sun_name}_en-US-non-layout
mv $sun_dir/template/groupuinames.xml $sun_dir
mv $sun_dir/LICENSE $sun_dir/LICENSE.$sun_name
# generate README about Sun templates
cat >$sun_dir/README.$sun_name <<EOF
The following list of templates comes from the Sun_ODF_Template_Pack_en-US.oxt
that is originaly available at
http://extensions.services.openoffice.org/project/TemplatePack_II
See LICENSE.$sun_name for more details.
EOF
echo >>$sun_dir/README.$sun_name
find $sun_dir/template -type f | sed "s|$sun_dir/template/||" >>$sun_dir/README.$sun_name

%build

%install
install -m 755 -d $RPM_BUILD_ROOT/usr/share/templates/ooo/
cp -a ooo-templates-en-US-*/en-US $RPM_BUILD_ROOT/usr/share/templates/ooo/
cp -a Sun_ODF_Template_Pack_en-US-non-layout/template/* $RPM_BUILD_ROOT/usr/share/templates/ooo/en-US

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ooo-templates-en-US-*/README.txt Sun*/{README.*,LICENSE.*}
%dir /usr/share/templates/
%dir /usr/share/templates/ooo/
/usr/share/templates/ooo/en-US/

%changelog
* Tue Sep  1 2009 Anas Nashif <anas.nashif@intel.com> - 3.0
- Initial import into Moblin
* Mon Sep  1 2008 pmladek@suse.cz
- added more templates from Sun_ODF_Template_Pack_en-US.oxt that was available
  at http://extensions.services.openoffice.org/project/TemplatePack_II
- installed into non-versioned /usr/share/templates/ooo instead of ooo2
- updated version to 3.0
* Mon Oct 23 2006 pmladek@suse.cz
- new package, version 2.0.4
